Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000299 [Piwigo] display feature always 2006.03.03 09:39 2006.12.06 11:57
Reporter Reflex View Status public  
Assigned To rub
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Alligator 1 Product Version
  Target Version Product Build
Summary 0000299: Affichage du gif de nouveautés
Description Le gif signalant de nouvelles photos n'apparait que quand les catégories sont développées, ce qui oblige à les laisser ouvertes par défaut si on ne veut pas que les visiteurs passent trop de temps à les trouver.

Rvelices: "En fait ca pourrait se faire si on met a jour la date de derniere modification pour les categories meres au moment de la synchronisation. Ca sera un peu plus lent mais seulement a la synchro et non a la visualisation."
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files png file icon recent_by_child.png [^] (738 bytes) 2006.12.02 00:26


png file icon MenuExample.png [^] (19,020 bytes) 2006.12.02 00:26


png file icon CatTNExample.png [^] (46,486 bytes) 2006.12.02 00:26

- Relationships

-  Notes
(0000667)
plg (manager)
2006.03.05 22:49
edited on: 2006.05.31 18:59

J'ai délibéremment choisi de ne plus afficher l'icône de mise à jour à partir de la branche 1.4. Contrairement à ce que semble avoir dit rvelices, le problème est un peu plus compliqué que de mettre à jour la colonne #categories.last_date. En effet, chaque utilisateur ne voit qu'un sous ensemble des catégories de la galerie, en fonction de ses permissions.

En considérant les permissions, chaque utilisateur devrait avoir son propre #categories.last_date. C'était le cas en branche 1.3. C'était peu performant, pénible à mettre à jour. Cela dit, en branche 1.4 j'ai introduit le principe de la table #user_cache qui permet de ne mettre à jour ce type d'information que lorsque cela est utile. Nous pourrions donc réimplémenter la récenteté des catégories mères par rapport à leurs catégories filles.

En même temps que la suppression de cette possibilité en branche 1.4, la catégorie spéciale "dernières catégories" a été ajoutée, permettant de visualiser sur une seule page toutes les catégories récemment mise à jour. Je trouve la solution plus élégante et plus simple à utiliser. Ne convient-elle pas ?

(0000668)
rvelices (developer)
2006.03.06 14:25

J'avais repondu trop vite sur le forum. Effectivement #categories.last_date devrait etre different selon l'utilisateur.

Reflex, c'est n'est pas aussi evident que je l'ai pense... Je pense que je vais fermer cette demande avec "wont fix". Comme Pierrick le souligne on aura toujours les liens "dernieres categories" et "dernieres images".
(0001511)
rub (developer)
2006.11.15 18:42
edited on: 2006.11.15 18:44

Ré-ouvert suite à la discussion suivante http://forum.phpwebgallery.net/viewtopic.php?id=9301&p=1 [^]

Solution proposée, calculé des date_last en php par utilisateur et stockage en cache des données calculées.

(0001561)
rub (developer)
2006.12.02 00:29
edited on: 2006.12.02 00:47

[Subversion] r1624
  o Ajout d'une (nouvelle) icône sur les catégories parentes ayant des sous-catégories contenant des nouvelles images
  o Amélioration de l'affichage du texte du nombre d'images

Plus d'explication sur le forum.

et [Subversion] r1625 par oubli de fichier


- Issue History
Date Modified Username Field Change
2006.03.03 09:39 Reflex New Issue
2006.03.03 09:39 Reflex browser => any
2006.03.03 09:39 Reflex Web server => Apache 1.3.x
2006.03.05 22:49 plg Note Added: 0000667
2006.03.05 22:49 plg Status new => feedback
2006.03.06 14:25 rvelices Note Added: 0000668
2006.05.31 18:59 plg Note Edited: 0000667
2006.05.31 19:00 plg Severity trivial => feature
2006.05.31 19:00 plg Status feedback => closed
2006.05.31 19:00 plg Resolution open => won't fix
2006.05.31 19:00 plg version 1.5.2 =>
2006.11.15 18:42 rub Assigned To => rub
2006.11.15 18:42 rub Status closed => feedback
2006.11.15 18:42 rub Resolution won't fix => reopened
2006.11.15 18:42 rub Note Added: 0001511
2006.11.15 18:44 rub Note Edited: 0001511
2006.12.02 00:26 rub File Added: recent_by_child.png
2006.12.02 00:26 rub File Added: MenuExample.png
2006.12.02 00:26 rub File Added: CatTNExample.png
2006.12.02 00:29 rub Status feedback => resolved
2006.12.02 00:29 rub Resolution reopened => fixed
2006.12.02 00:29 rub Note Added: 0001561
2006.12.02 00:47 rub Status resolved => feedback
2006.12.02 00:47 rub Resolution fixed => reopened
2006.12.02 00:47 rub Note Edited: 0001561
2006.12.02 00:48 rub Status feedback => resolved
2006.12.02 00:48 rub Fixed in Version => Alligator (trunk)
2006.12.02 00:48 rub Resolution reopened => fixed
2006.12.06 11:57 rub Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker